$(document).ready(function () {
  // -------------spin-------------------
  var resultWrapper = document.querySelector(".spin-result-wrapper");
  var wheel = document.querySelector(".wheel-img");

  $(".active").click(function () {
    if (!wheel.classList.contains("rotated")) {
      wheel.classList.add("super-rotation");
      setTimeout(function () {
        resultWrapper.style.display = "block";
      }, 8000);
      setTimeout(function () {
        $(".spin-wrapper").slideUp();
        $(".order_block").slideDown();
        // -------------TIMER------------------------
        var fiveSeconds = new Date().getTime() + 600000;
        $("#clock")
          .countdown(fiveSeconds, { elapse: true })
          .on("update.countdown", function (event) {
            var $this = $(this);
            if (event.elapsed) {
              $this.html("00 : 00");
            } else {
              $this.html(event.strftime("<span>%M</span> : <span>%S</span>"));
            }
          });
      }, 10000);
      wheel.classList.add("rotated");
    }
  });
  $(".close-popup, .pop-up-button").click(function (e) {
    e.preventDefault();
    $(".spin-result-wrapper").fadeOut();
    var top = $(".order-block-container").offset().top;
    $("body,html").animate({ scrollTop: top }, 800);
  });

  $("a").on("touchend, click", function (e) {
    e.preventDefault();
    $("body,html").animate(
      { scrollTop: $(".order-block-container").offset().top },
      400
    );
  });
  $(".ac_footer a, .ac_gdpr_fix a").unbind("click");
});

$('input[name="referrer"]').val(document.referrer);
const url = new URL(document.location.href);
$('input[name="clickid"]').val(url.searchParams.get("clickid"));
$('input[name="landing"]').val(
  document.location.origin + document.location.pathname
);
